/*
 * The MIT License (MIT)
 * 
 * Copyright (c) 2015 Camil Staps <info@camilstaps.nl>
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.camilstaps.webshop;

import com.camilstaps.webshop.article.WashingMachine;
import com.camilstaps.webshop.article.WaterMelon;
import com.camilstaps.webshop.article.WineGlass;
import com.camilstaps.webshop.payment.PayPal;

/**
 * Solutions to week 16 part 2
 * @author Camil Staps
 */
public class Week16Webshop {

    /**
     * Example creating a cart with various articles and paying using a custom payment method
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Cart cart = new Cart();
        cart.add(new WaterMelon());
        cart.add(new WaterMelon());
        cart.add(new WineGlass());
        cart.add(new WashingMachine());
        cart.setPaymentMethod(new PayPal("info@camilstaps.nl", "secret"));
        cart.pay();
    }
    
}
